質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.61%

python3のcupyインストール(pip3 install cupy)について

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 4,865

score 6

お世話になります。

CentOS Linux release 7.3.1611,
cuda-8.0,
cudnn ver6環境で

python3のcupyインストール(pip3 install cupy)を実行したいのですが,
下記のようなエラーがでます。


Command "/usr/bin/python3.4 -u -c "import setuptools, tokenize;file='/tmp/pip-build-jq88sdeb/cupy/setup.py';f=getattr(tokenize, 'open', open)(file);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, file, 'exec'))" install --record /tmp/pip-_nwc_env-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-jq88sdeb/cupy/

※chainerがver2だとcupyが自動インストールされないらしいので
一度pip3 uninstall chainer を実行し,下記の通りパスを指定して実行しています。
export LD_LIBRARY_PATH=/usr/local/cuda-8.0/lib64
export CUDA_PATH=/usr/local/cuda-8.0
export CFLAGS=-I/usr/local/cuda-8.0/include
export LDFLAGS=-L/usr/local/cuda-8.0/lib64;

ちなみに同様の方法でpython2へのchainer,cupyのインストールはできました。

不勉強で申し訳ございませんがご教示頂ければ幸いです。
どうぞ宜しくお願い申し上げます。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

Pythonのバージョンが3.4.3以下なのではないでしょうか?

Python 2.7.6+, 3.4.3+, 3.5.1+, 3.6.0+

上記のバージョンに当てはまっていない場合は、Python3のバージョンをあげてください。

https://github.com/cupy/cupy

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.61%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る